Bug 152404 - anaconda traceback in language.py
Summary: anaconda traceback in language.py
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-03-29 10:17 UTC by Joe Orton
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 17:28:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2005-03-29 10:17:53 UTC
UnboundLocalError: local variable name referenced before assignment

in /usr/lib/anaconda/language.py line 204

from a Raw Hide kickstart, anaconda-10.2.0.33

relevant i18n stuff from kickstart config was:

lang en_GB.UTF-8
langsupport --default=en_GB.UTF8 en_GB.UTF8

Comment 1 Chris Lumens 2005-03-29 14:41:25 UTC
Thanks for the bug report.  I fixed this on HEAD yesterday and it will be in the
next anaconda build.

Comment 2 Joe Orton 2005-04-04 12:19:09 UTC
Now I get a traceback at:

language.py, line 143 in getLangNameByNick

KeyError

anaconda-10.2.0.37-1.i386.rpm


Comment 3 Joe Orton 2005-04-11 08:29:56 UTC
anaconda-10.2.0.47-1:

language.py:147 in getLangNameByNick
   return self.localeInfo[curNick][0]
KeyError

also had a blue screen at some point with

"(null): Requires an SELinux enabled kernel"

printed across the middle.


Comment 4 Chris Lumens 2005-04-11 14:14:53 UTC
Working on it.  For your future reference, you've got a typo.  It should be
en_GB.UTF-8.  Note the dash.  That won't yet allow you to get around this
exception, but it will in the near future when I'm done.

Comment 5 Joe Orton 2005-04-11 14:40:50 UTC
Ah OK, great.  But please don't abuse the bug states ;)  "MODIFIED" means "I've
fixed this and you can verify that by testing *this* RPM, not "I'm working on
this now and I'll fix it soon hopefully if I don't get run over by a bus/pulled
on to some other task in the mean time", which is what ASSIGNED is for.

Comment 6 Chris Lumens 2005-04-13 20:30:26 UTC
Okay, just committed another fix into HEAD and we have an anaconda build going.
 Try tomorrow's Rawhide out and see if it works for you.

The selinux message is unrelated and should be filed as a separate bug.


Note You need to log in before you can comment on or make changes to this bug.